lzma_dict Struct Reference

## Data Fields

uint8_t * | buf
size_t | pos
size_t | full
size_t | limit
| Write limit. More...
size_t | size
| Size of the dictionary. More...
bool | need_reset
| True when dictionary should be reset before decoding more data. More...

## Field Documentation

## buf

uint8_t* lzma_dict::buf

Pointer to the dictionary buffer. It can be an allocated buffer internal to liblzma, or it can a be a buffer given by the application when in single-call mode (not implemented yet).

Referenced by dict_get().

## pos

size_t lzma_dict::pos

Write position in dictionary. The next byte will be written to buf[pos].

Referenced by dict_get().

## full

size_t lzma_dict::full

Indicates how full the dictionary is. This is used by dict_is_distance_valid() to detect corrupt files that would read beyond the beginning of the dictionary.

Referenced by dict_is_distance_valid(), and dict_is_empty().

## limit

size_t lzma_dict::limit

Write limit.

## size

size_t lzma_dict::size

Size of the dictionary.

Referenced by dict_get().

## need_reset

bool lzma_dict::need_reset

True when dictionary should be reset before decoding more data.

The documentation for this struct was generated from the following file:

- liblzma/lz/lz_decoder.h